import Class from './Class';
import ReadonlyBindableArray from './ReadonlyBindableArray';
export default abstract class AbstractInserter<T> extends Class {
    readonly el: HTMLElement;
    /**
     * @param source Child element array.
     * @param el Parent element to insert children into.
     */
    constructor(source: ReadonlyBindableArray<T>, el: HTMLElement);
    protected abstract _getElement(item: T): HTMLElement;
    protected _addItem(item: T, index: number): void;
    protected _removeItem(item: T, _index: number): void;
}
