import TemplateOutput from './TemplateOutput';
/**
 * Abstract HTML template.
 */
declare abstract class AbstractTemplate {
    private prefixes;
    private parentIds;
    private childIds;
    protected ids: string[];
    /**
     * Flag indicating if rendering of a `Component` by this template must be followed with a DOM presence check with a
     * possible `afterAppend` method call.
     */
    get requiresAfterAppend(): boolean;
    /**
     * Renders the template. See `TemplateOutput` for details.
     */
    abstract createElement(): TemplateOutput;
    protected abstract _addElement(id: string, el: HTMLElement, path: readonly number[]): void;
    protected _compileAttributes(root: HTMLElement): void;
    private _walkAll;
    private _walk;
    private _backtrace;
}
export default AbstractTemplate;
