import IBindableArray from "./IBindableArray";
/**
 * IBindableArray.splice method result.
 */
export default class ArraySpliceResult<T> implements IBindableArray.SpliceResult<T> {
    readonly oldContents: T[];
    readonly removedSegments: IBindableArray.IndexItems<T>[];
    readonly addedSegments: IBindableArray.IndexItems<T>[];
    private _removedItems;
    private _addedItems;
    private _removeParams;
    /**
     * @param oldContents Old array contents.
     * @param removedSegments Removed item segments.
     * @param addedSegments Added item segments.
     */
    constructor(oldContents: T[], removedSegments: IBindableArray.IndexItems<T>[], addedSegments: IBindableArray.IndexItems<T>[]);
    /**
     * Plain array of all removed items.
     */
    get removedItems(): T[];
    /**
     * Plain array of all added items.
     */
    get addedItems(): T[];
    /**
     * Removed item segments converted to index and count pairs.
     */
    get removeParams(): IBindableArray.IndexCount[];
    /**
     * The splice call didn't change the array.
     */
    get empty(): boolean;
}
