import Bindable from './Bindable';
import Class from './Class';
import IProperty from './IProperty';
/**
 * Listens source `Bindable` modification and copies its value to target property.
 *
 * @param T Property value type.
 */
declare class Copier<V> extends Class {
    readonly source: Bindable<V>;
    private _target;
    /**
     * @param source Source bindable.
     * @param target Target property.
     */
    constructor(source: Bindable<V>, target?: IProperty<V>);
    /**
     * Target property.
     */
    get target(): Bindable<V>;
    /**
     * @inheritDoc
     */
    protected destroyObject(): void;
    private _update;
}
export default Copier;
