import Bindable from "./Bindable";
import Destroyable from "./Destroyable";
/**
 * Extension of `Bindable` interface with `destroy` method.
 * If some method returns `DestroyableBindable`, probably it wants you to take
 * control over this object life time.
 */
interface DestroyableBindable<V> extends Destroyable, Bindable<V> {
}
export default DestroyableBindable;
