import AbstractTemplate from './AbstractTemplate';
import TemplateOutput from './TemplateOutput';
/**
 * HTML template. This class compiles the input template only once, and uses element cloning further on to
 * optimize rendering performance.
 */
export default class HtmlTemplate extends AbstractTemplate {
    readonly html: string;
    private mirror;
    private groups;
    /**
     * @param html Input HTML.
     */
    constructor(html: string);
    createElement(): TemplateOutput;
    protected _addElement(id: string, _el: HTMLElement, path: readonly number[]): void;
    private _compile;
}
