import Listenable from "./Listenable";
/**
 * Extension of `Listenable` interface with `dispatch` method.
 */
interface IDispatcher<M> extends Listenable<M> {
    /**
     * Synchronously dispatches a message, i.e. calls all bound handlers with the specified argument.
     *
     * @param message Message to dispatch.
     */
    dispatch(message?: M): void;
    /**
     * Unregisters all listeners.
     */
    purge(): void;
}
export default IDispatcher;
