/**
 * Builds a new map of results of callback function call for each map entry with the same keys.
 * @param map Map.
 * @param callback Mapping function.
 * @returns Mapped map.
 */
export declare function map<K, T, U>(map: Iterable<readonly [K, T]>, callback: (value: T, key: K) => U): Map<K, U>;
/**
 * Builds a new map of map entries the callback function returns a truthy value for.
 * @param map Iterable.
 * @param callback Criteria callback.
 * @returns Filtered map.
 */
export declare function filter<K, V>(map: Iterable<readonly [K, V]>, callback: (value: V, key: K) => boolean): Map<K, V>;
export declare function getIterableKeys<K, V>(map: Iterable<readonly [K, V]>): Iterable<K>;
export declare function getIterableValues<K, V>(map: Iterable<readonly [K, V]>): Iterable<V>;
