import Component from './Component';
import Router from "./Router";
/**
 * Recommended way to perform an asyncronous redirection in Router `handler` function.
 */
export default class RouteRedirector extends Component {
    private path;
    private router?;
    private replaceState;
    /**
     * Creates a new redirector.
     * @param path Path relative to router.
     * @param router Redirect relative to this router.
     * @param replaceState Replace the current browser historical state rather than pushing a new state to the
     * stack. Defaults to true.
     */
    constructor(path: string, router?: Router<any>, replaceState?: boolean);
}
/**
 * Immediately performs the redirection, i.e. sets `hash` to `getFullPath(path, router)`.
 * @param path Path relative to `router`.
 * @param router Redirect relative to this router. By default, performs a global redirection.
 * @param replaceState Replace the current browser historical state rather than pushing a new state to the stack.
 */
export declare function redirectRoute(path: string, router?: Router<any>, replaceState?: boolean): void;
