import Bindable from './Bindable';
import Destroyable from './Destroyable';
/**
 * Binds an attribute of a DOM element to a string `Property`.
 * @param el DOM element.
 * @param attr Attribute name.
 * @param property Attribute value to assign.
 */
export default function bindAttr(el: AttrUpdaterElement, attr: string, property: Bindable<string>): Destroyable;
export interface AttrUpdaterElement {
    attr(attr: string, value: string): void;
}
