import Bindable from './Bindable';
import Destroyable from './Destroyable';
/**
 * Binds a CSS style value of a DOM element to a string `Property`.
 * @param el DOM element.
 * @param style CSS style name.
 * @param property Style value.
 * @returns Binding object. You must %destroy it to stop the synchronization.
 */
export default function bindCss(el: CssUpdaterElement, style: string, property: Bindable<string>): Destroyable;
export interface CssUpdaterElement {
    css(style: string, value: string): void;
}
