import Bindable from './Bindable';
import Destroyable from './Destroyable';
/**
 * Binds visibility of a DOM element to a boolean `Property`.
 * @param el DOM element.
 * @param property Element visibility.
 * @returns Binding object. You must destroy it to stop the synchronization.
 */
export default function bindDisplay(el: DisplayUpdaterElement, property: Bindable<boolean>): Destroyable;
export interface DisplayUpdaterElement {
    css(style: "display", value: "" | "none"): void;
}
