import Bindable from './Bindable';
import Destroyable from './Destroyable';
/**
 * Binds inner HTML of a DOM element to a string `Property`.
 * @param el DOM element.
 * @param property HTML value.
 * @returns Binding object. You must destroy it to stop the synchronization.
 */
export default function bindHtml(el: HtmlUpdaterElement, property: Bindable<string>): Destroyable;
export interface HtmlUpdaterElement {
    html(html: string): void;
}
