import Bindable from './Bindable';
import Destroyable from './Destroyable';
/**
 * Binds inner text of a DOM element to a string %Property.
 * @param el DOM element.
 * @param property Text value.
 * @returns Binding object. You must destroy it to stop the synchronization.
 */
export default function bindText(el: TextUpdaterElement, property: Bindable<string>): Destroyable;
export interface TextUpdaterElement {
    text(text: string): void;
}
