import Class from '../Class';
import IBindableSet from '../IBindableSet';
import ReadonlyBindableSet from "../ReadonlyBindableSet";
/**
 * Binds a set to a collection, filling it with all values (or keys) of the collection.
 */
declare abstract class AbstractValueCollector<T> extends Class {
    protected _target: IBindableSet<T>;
    private _targetCreated;
    protected constructor(config: AbstractValueCollector.Config<T>, silent: boolean);
    /**
     * Target set.
     */
    get target(): ReadonlyBindableSet<T>;
    protected destroyObject(): void;
}
export default AbstractValueCollector;
declare namespace AbstractValueCollector {
    /**
     * Configuration of `AbstractValueCollector`.
     */
    interface Config<T> {
        /**
         * Target set. By default, created automatically.
         */
        readonly target?: IBindableSet<T>;
    }
}
