import DestroyableReadonlyBindableSet from '../DestroyableReadonlyBindableSet';
import ReadonlyBindableArray from '../ReadonlyBindableArray';
import AbstractValueCollector from './AbstractValueCollector';
/**
 * `AbstractValueCollector` implementation for arrays.
 */
export default class ArrayValueCollector<T> extends AbstractValueCollector<T> {
    readonly source: ReadonlyBindableArray<T>;
    /**
     * @param source Source array.
     * @param config Collector configuration.
     */
    constructor(source: ReadonlyBindableArray<T>, config?: AbstractValueCollector.Config<T>);
    protected destroyObject(): void;
    private _onSplice;
    private _onReplace;
    private _onClear;
}
/**
 * Creates a new set bound to an array with `ArrayValueCollector`.
 * @param source Source array.
 * @returns Target set.
 */
export declare function startCollectingArrayValues<T>(source: ReadonlyBindableArray<T>): DestroyableReadonlyBindableSet<T>;
