import DestroyableReadonlyBindableSet from '../DestroyableReadonlyBindableSet';
import ReadonlyBindableMap from '../ReadonlyBindableMap';
import AbstractValueCollector from './AbstractValueCollector';
/**
 * `AbstractValueCollector` implementation for map keys.
 */
export default class MapKeyCollector<K> extends AbstractValueCollector<K> {
    readonly source: ReadonlyBindableMap<K, unknown>;
    /**
     * @param source Source map.
     * @param config Collector configuration.
     */
    constructor(source: ReadonlyBindableMap<K, unknown>, config?: AbstractValueCollector.Config<K>);
    protected destroyObject(): void;
    private _onSplice;
    private _onReindex;
    private _onClear;
}
/**
 * Creates a new set bound to a map with `MapKeyCollector`.
 * @param source Source map.
 * @returns Target set.
 */
export declare function startCollectingMapKeys<K>(source: ReadonlyBindableMap<K, unknown>): DestroyableReadonlyBindableSet<K>;
