import DestroyableReadonlyBindableSet from '../DestroyableReadonlyBindableSet';
import ReadonlyBindableMap from '../ReadonlyBindableMap';
import AbstractValueCollector from './AbstractValueCollector';
/**
 * `AbstractValueCollector` implementation for map values.
 */
export default class MapValueCollector<V> extends AbstractValueCollector<V> {
    readonly source: ReadonlyBindableMap<unknown, V>;
    /**
     * @param source Source map.
     * @param config Collector configuration.
     */
    constructor(source: ReadonlyBindableMap<unknown, V>, config?: AbstractValueCollector.Config<V>);
    protected destroyObject(): void;
    private _onSplice;
    private _onClear;
}
/**
 * Creates a new set bound to a map with `MapValueCollector`.
 * @param source Source map.
 * @returns Target set.
 */
export declare function startCollectingMapValues<V>(source: ReadonlyBindableMap<unknown, V>): DestroyableReadonlyBindableSet<V>;
