import DestroyableReadonlyBindableSet from '../DestroyableReadonlyBindableSet';
import ReadonlyBindableSet from '../ReadonlyBindableSet';
import AbstractValueCollector from './AbstractValueCollector';
/**
 * `AbstractValueCollector` implementation for sets.
 */
export default class SetValueCollector<T> extends AbstractValueCollector<T> {
    readonly source: ReadonlyBindableSet<T>;
    /**
     * @param source Source set.
     * @param config Collector configuration.
     */
    constructor(source: ReadonlyBindableSet<T>, config?: AbstractValueCollector.Config<T>);
    protected destroyObject(): void;
    private _onSplice;
    private _onClear;
}
/**
 * Creates a new set bound to another set with `SetValueCollector` (i.e. a full bound copy of it).
 * @param source Source set.
 * @returns Target set.
 */
export declare function startCollectingSetValues<T>(source: ReadonlyBindableSet<T>): DestroyableReadonlyBindableSet<T>;
