export { identity } from './internal';
/**
 * Universal and sophisticated comparer for array sorting. Broadly speaking, it:
 *
 * - Returns 1, if x > y
 * - Returns -1, if x < y
 * - Returns 0, if x == y
 *
 * See online documentation for details.
 */
export declare function cmp(x: any, y: any): number;
/**
 * Universal and sophisticated comparer for array sorting. Broadly speaking, it:
 *
 * - Returns 1, if x > y
 * - Returns -1, if x < y
 * - Returns 0, if x == y
 *
 * See online documentation for details.
 */
export declare function smartCmp(x: any, y: any, config?: CmpConfig): number;
/**
 * `cmp` function configuration object.
 */
export interface CmpConfig {
    /**
     * Ignore case when comparing strings.
     */
    readonly caseInsensitive?: boolean;
    /**
     * Compare digit sequences as numbers when comparing strings.
     */
    readonly compareNumbersInStrings?: boolean;
}
/**
 * Calls object method `destroy` if available. Can be used in mapper configuration.
 */
export declare function destroy(obj: any): void;
/**
 * Shorthand for Binding.UPDATE.
 */
export declare const UPDATE = 1;
/**
 * Shorthand for Binding.WATCH.
 */
export declare const WATCH = 2;
/**
 * Shorthand for Binding.TWOWAY.
 */
export declare const TWOWAY = 3;
/**
 * jWidget binding modes. All options have shorthands.
 */
export declare enum Binding {
    /**
     * Bind invoker to argument. Always used as default binding.
     */
    UPDATE = 1,
    /**
     * Bind argument to invoker. Always supplied with a no-argument method, which creates the property automatically.
     */
    WATCH = 2,
    /**
     * Bind invoker and argument to each other. UPDATE-binding is applied first.
     */
    TWOWAY = 3
}
